Loading...
Searching...
No Matches
Ogre::ControllerValue< T > Class Template Referenceabstract
Core » Animation

Can either be used as an input or output value. More...

`#include <OgreController.h>`

Inheritance diagram for Ogre::ControllerValue< T >:
[legend]

## Public Member Functions

virtual | ~ControllerValue ()
virtual T | getValue (void) const =0
virtual void | setValue (T value)=0

## Detailed Description

template<typename T>
class Ogre::ControllerValue< T >

Can either be used as an input or output value.

## Constructor & Destructor Documentation

## ~ControllerValue()

template<typename T>

virtual Ogre::ControllerValue< T >::~ControllerValue | ( |  | ) |

inline virtual

## Member Function Documentation

## getValue()

template<typename T>

virtual T Ogre::ControllerValue< T >::getValue | ( | void |  | ) | const

pure virtual

Implemented in Ogre::AnimationStateControllerValue, Ogre::FloatGpuParameterControllerValue, Ogre::FrameTimeControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::TextureFrameControllerValue.

## setValue()

template<typename T>

virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) |

pure virtual

Implemented in Ogre::AnimationStateControllerValue, Ogre::FloatGpuParameterControllerValue, Ogre::FrameTimeControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::TextureFrameControllerValue.

The documentation for this class was generated from the following file:

- OgreController.h